/* ----------------------------------------------------------------
	CSS Specific to the One Page Module

	Some of the CSS Codes have been modified from the Original
	style.css File to match the Minimal Styling of this Module

	Version: 4.5.1
-----------------------------------------------------------------*/



/* ----------------------------------------------------------------------------
	Header
---------------------------------------------------------------------------- */

#header { border-bottom: 0; }

#header #header-wrap {
	z-index: 199;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	background-color: #FFF;
	-webkit-transition: height .4s ease, background-color .4s ease, opacity .3s ease;
	-o-transition: height .4s ease, background-color .4s ease, opacity .3s ease;
	transition: height .4s ease, background-color .4s ease, opacity .3s ease;
}

#header.full-header:not(.border-full-header):not(.sticky-header) #header-wrap { border-bottom: 0; }

#header.full-header.border-full-header #header-wrap { border-bottom-color: rgba(0,0,0,0.05) !important; }

.dark #header.full-header.border-full-header #header-wrap,
#header.dark.full-header.border-full-header #header-wrap { border-bottom-color: rgba(255,255,255,0.15) !important; }

#header.transparent-header:not(.sticky-header) #header-wrap { background-color: transparent; }

#header.transparent-header + #slider,
#header.transparent-header + #page-title.page-title-parallax,
#header.transparent-header + #google-map,
#slider + #header.transparent-header {
	top: -70px;
	margin-bottom: -70px;
}

#header.full-header #logo { border-right: 0; }

#header.full-header #primary-menu > ul {
	padding-right: 0;
	margin-right: 0;
	border-right: 0;
}


#header.show-on-sticky #header-wrap {
	opacity: 0;
	pointer-events: none;
}

#header.show-on-sticky.sticky-header #header-wrap {
	opacity: 1;
	pointer-events: auto;
}


#header,
#header-wrap,
#logo img {
	height: 70px;
	-webkit-transition: height .4s ease, opacity .3s ease;
	-o-transition: height .4s ease, opacity .3s ease;
	transition: height .4s ease, opacity .3s ease;
}


/* Sticky Header
---------------------------------------------------------------------------- */

#header.sticky-header #header-wrap,
#header.full-header.border-full-header.sticky-header #header-wrap {
	box-shadow: none;
	border-bottom: 1px solid #F5F5F5 !important;
	-webkit-backface-visibility: hidden;
}


/* Side Header
---------------------------------------------------------------------------- */

@media (min-width: 992px) {

	.side-header #header #header-wrap { position: relative; }

	.side-header #header,
	.side-header #header-wrap { height: 100%; }

	.side-header #header-wrap { width: 300px !important; }

	.side-header #logo,
	.side-header #logo img,
	.side-header #primary-menu:not(.style-2),
	.side-header #primary-menu:not(.style-2) > ul { height: auto; }

}


/* Primary Menu
---------------------------------------------------------------------------- */

#primary-menu ul li a {
	padding: 24px 22px;
	font-size: 12px;
	font-weight: 400;
	letter-spacing: 3px;
}


/* ----------------------------------------------------------------------------
	Dark
---------------------------------------------------------------------------- */


.dark #header.sticky-header #header-wrap,
#header.sticky-header.dark #header-wrap { border-bottom-color: rgba(255,255,255,0.1) !important; }


/* ----------------------------------------------------------------------------
	Responsive
---------------------------------------------------------------------------- */


@media (max-width: 991px) {

	#logo { height: 70px !important; }

	#header { min-height: 70px; }

	#header.transparent-header:not(.sticky-header) #header-wrap {
		background-color: #FFF;
		border-bottom: 1px solid #EEE;
	}

	#header.transparent-header.dark:not(.sticky-header) #header-wrap {
		background-color: #333;
		border-bottom-color: rgba(255,255,255,0.1) !important;
	}

	#header.transparent-header:not(.hidden) + #slider,
	#header.transparent-header:not(.hidden) + #page-title.page-title-parallax,
	#header.transparent-header:not(.hidden) + #google-map,
	#slider + #header.transparent-header:not(.hidden) {
		top: 0;
		margin-bottom: 0;
	}

	#primary-menu-trigger { top: 10px !important; }

	#side-panel-trigger {
		margin: 25px 0 !important;
		right: 15px !important;
	}

	.dark #header.transparent-header #header-wrap,
	.dark #header.semi-transparent #header-wrap,
	#header.dark.transparent-header #header-wrap,
	#header.dark.semi-transparent #header-wrap {
		background-color: #333;
		border-bottom-color: rgba(255,255,255,0.1);
	}

	.dark.overlay-menu #primary-menu:not(.not-dark) ul,
	.overlay-menu #primary-menu.dark ul { background-color: transparent; }

}

